# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2021-07-30 16:26
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TokenClientAppModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=255, unique=True, verbose_name='Токен пользователя для клиентского приложения')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='client_app_token', to=settings.AUTH_USER_MODEL, verbose_name='Пользователь')),
            ],
            options={
                'verbose_name_plural': 'Доступы к клиентскому приложению',
                'verbose_name': 'Доступ к клиентскому приложению',
            },
        ),
    ]
